Loading...
Searching...
No Matches
volk_kernel_defs.py File Reference

## Data Structures

class | volk_kernel_defs.impl_class
| Extract kernel info from section, represent as an implementation. More...
class | volk_kernel_defs.kernel_class
| Represent a processing kernel, parse from file. More...

## Namespaces

namespace | volk_kernel_defs

## Functions

| volk_kernel_defs.comment_remover (text)
| Strip comments from a c/cpp file.
| volk_kernel_defs.split_into_nested_ifdef_sections (code)
| Split code into nested sections according to ifdef preprocessor macros.
| volk_kernel_defs.print_sections (sections, indent=' ')
| Recursive print of sections to test code above.
| volk_kernel_defs.flatten_section_text (sections)
| Flatten a section to just body text.
| volk_kernel_defs.extract_lv_haves (code)

## Variables

| volk_kernel_defs.srcdir = os.path.dirname(os.path.dirname(__file__))
| volk_kernel_defs.kernel_files = sorted(glob.glob(os.path.join(srcdir, "kernels", "volk", "*.h")))
| volk_kernel_defs.kernels = list(map(kernel_class, kernel_files))